## raqm 0.10.3

=== meson_options.txt ===
option(
    'docs',
    description: 'Build API reference using GTK-Doc',
    type: 'boolean',
    value: false,
)

option(
    'sheenbidi',
    description: 'Use SheenBidi instead of Fribidi',
    type: 'boolean',
    value: false,
)

## raqm 0.3.0

=== debian/changelog ===
raqm (0.3.0-1) unstable; urgency=medium

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Initial release (Closes: #879186)

  [ Emilio Pozuelo Monfort ]
  * Set the locale to C.UTF-8, a UTF-8 locale is needed for the test
    suite.
  * Add a doc-base file for the gtk-doc documentation.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 20 Oct 2017 12:06:02 +0200

=== debian/control ===
Source: raqm
Section: libs
Priority: optional
Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Standards-Version: 4.1.1
Build-Depends:
 debhelper (>= 10),
 pkg-config,
 libfreetype6-dev (>= 2.4.2),
 libfribidi-dev,
 libharfbuzz-dev,
 gtk-doc-tools (>= 1.15)
Homepage: https://github.com/HOST-Oman/libraqm
Vcs-Git: https://anonscm.debian.org/git/collab-maint/raqm.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/raqm.git

Package: libraqm0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for complex text layout
 Raqm is a small library to provide convenience functions for complex text
 layout. It currently provides bidirectional text support (using FriBiDi),
 shaping (using HarfBuzz), with proper script itemization.
 .
 This package contains the shared libraries.

Package: libraqm-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, libraqm0 (= ${binary:Version})
Description: Development files for Raqm library
 Raqm is a library for complex text layout.
 .
 This package contains the header files and static libraries for the
 Raqm library.

## raqm 0.5.0

=== debian/changelog ===
raqm (0.5.0-1~mx217+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 07 Jan 2022 13:56:11 -0800

raqm (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * Dropped fix_pointer_print.diff patch
  * Update Vcs-* URLs
  * Update copyright years
  * Updated standards version to 4.1.5
  * Bumped compat level to 11
  * Switch to secure copyright format URL
  * Add upstream metadata

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 06 Jul 2018 11:37:46 +0200

=== debian/control ===
Source: raqm
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Standards-Version: 4.1.5
Build-Depends: debhelper (>= 11),
               gtk-doc-tools (>= 1.15),
               libfreetype6-dev (>= 2.4.2),
               libfribidi-dev,
               libharfbuzz-dev,
               pkg-config
Homepage: https://github.com/HOST-Oman/libraqm
Vcs-Git: https://salsa.debian.org/debian/raqm.git
Vcs-Browser: https://salsa.debian.org/debian/raqm

Package: libraqm0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for complex text layout
 Raqm is a small library to provide convenience functions for complex text
 layout. It currently provides bidirectional text support (using FriBiDi),
 shaping (using HarfBuzz), with proper script itemization.
 .
 This package contains the shared libraries.

Package: libraqm-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libraqm0 (= ${binary:Version}), ${misc:Depends}
Description: Development files for Raqm library
 Raqm is a library for complex text layout.
 .
 This package contains the header files and static libraries for the
 Raqm library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
export LC_ALL=C.UTF-8

%:
	dh $@

# MX don't need no stinkin' dbgsyms
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## raqm 0.7.0

=== debian/changelog ===
raqm (0.7.0-4) unstable; urgency=medium

  * debian/tests/libssh-server: Use the correct compiler for proposed
    autopkgtest cross-testing support.
    Thanks to Sebastien Bacher <seb128@ubuntu.com> (Closes: #946579)
  * Add use-py3.diff patch to use python3 for tests
  * Add python3 to build-deps (Closes: #946584)
  * Update Standards version to 4.4.1
  * Set debhelper-compat version in Build-Depends
  * Add Rules-Requires-Root=no

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 17 Dec 2019 10:08:26 +0100

raqm (0.7.0-3) unstable; urgency=medium

  * d/rules: override dh_auto_configure to pass --enable-gtk-doc option
    (Closes: #928822)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 07 Jul 2019 04:36:51 +0200

raqm (0.7.0-2) unstable; urgency=medium

  * Upload to unstable

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Thu, 04 Jul 2019 03:37:04 +0200

raqm (0.7.0-1) experimental; urgency=medium

  * New upstream version 0.7.0
  * Remove gbp.conf
  * Update symbols file
  * Print Raqm version string in build test
  * Install complete include/ & pkgconfig/ folders in -dev package
  * Add Build-Depends-Package field to symbols file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 28 May 2019 05:02:33 +0200

raqm (0.6.0-2) experimental; urgency=medium

  * Add gitlab-ci.yml
  * Add autopkgtest
  * Add libfreetype6-dev, libharfbuzz-dev & libfribidi-dev to libraqm-dev deps
  * Remove doc-base

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 08 May 2019 04:37:27 +0200

raqm (0.6.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Imported Upstream version 0.6.0
  * Add gbp.conf
  * Bumped compat level to 12
  * Update standards version 4.3.0
  * Update copyright years
  * Update symbols file

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 07 May 2019 04:47:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: raqm
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Standards-Version: 4.1.5
-Build-Depends: debhelper (>= 11),
-               gtk-doc-tools (>= 1.15),
-               libfreetype6-dev (>= 2.4.2),
-               libfribidi-dev,
-               libharfbuzz-dev,
-               pkg-config
+Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
+Build-Depends:
+ debhelper-compat (= 12),
+ pkg-config,
+ libfreetype6-dev (>= 2.4.2),
+ libfribidi-dev,
+ libharfbuzz-dev,
+ python3,
+ gtk-doc-tools (>= 1.15)
 Homepage: https://github.com/HOST-Oman/libraqm
 Vcs-Git: https://salsa.debian.org/debian/raqm.git
 Vcs-Browser: https://salsa.debian.org/debian/raqm
@@ -30,7 +32,10 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libraqm0 (= ${binary:Version}), ${misc:Depends}
+Depends: ${misc:Depends}, libraqm0 (= ${binary:Version})
+ , libfreetype6-dev
+ , libfribidi-dev
+ , libharfbuzz-dev
 Description: Development files for Raqm library
  Raqm is a library for complex text layout.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
export LC_ALL=C.UTF-8

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

=== debian/tests/control ===
Tests: build
Depends: libraqm-dev, pkg-config, build-essential

=== debian/watch ===
version=3
opts=filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/raqm-$1\.tar\.gz/ \
  https://github.com/HOST-Oman/libraqm/releases .*?v?(\d[\d\.]*)\.tar\.gz

## raqm 0.10.1

=== debian/changelog ===
raqm (0.10.1-1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:18:07 +0200

raqm (0.10.1-1) unstable; urgency=medium

  * New upstream version 0.10.1
  * d/rules: add mangling to fetch upstream xz tarball

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 16 Apr 2023 02:48:33 +0200

raqm (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
  * Update watch file
  * Update copyright years
  * d/u/metadata: remove Homepage field
  * Removed patches, applied upstream
  * d/control:
    + add meson to build deps.
    +  update to debhelper-compat 13
    +  updated standards version to 4.6.2
    +  libfreetype6-dev -> libfreetype-dev
  * Update symbols file
  * d/rules: update override for dh_autoconfigure for meson
  * d/tests/build: fix description in comments
  * d/tests/run-suite: make check -> ninja test
    Thanks to Dave Jones <dave.jones@canonical.com>

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 15 Apr 2023 04:58:11 +0200

raqm (0.7.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with recent HarfBuzz. (Closes: #1022404)
  * Require HarfBuzz >= 5.2, thanks to Jeremy Bicha.
  * Run the full test suite as autopkgtest, thanks to Dave Jones.

 -- Adrian Bunk <bunk@debian.org>  Fri, 27 Jan 2023 18:33:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: raqm
 Section: libs
 Priority: optional
-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Standards-Version: 4.4.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  pkg-config,
- libfreetype6-dev (>= 2.4.2),
+ libfreetype-dev (>= 2.4.2),
  libfribidi-dev,
- libharfbuzz-dev,
+ libharfbuzz-dev (>= 5.2),
  python3,
- gtk-doc-tools (>= 1.15)
+ gtk-doc-tools (>= 1.15),
+ meson (>= 0.56.0)
 Homepage: https://github.com/HOST-Oman/libraqm
 Vcs-Git: https://salsa.debian.org/debian/raqm.git
 Vcs-Browser: https://salsa.debian.org/debian/raqm
@@ -33,9 +35,9 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, libraqm0 (= ${binary:Version})
- , libfreetype6-dev
+ , libfreetype-dev
  , libfribidi-dev
- , libharfbuzz-dev
+ , libharfbuzz-dev (>= 5.2)
 Description: Development files for Raqm library
  Raqm is a library for complex text layout.
  .

## raqm 0.10.2

=== debian/changelog ===
raqm (0.10.2-1) unstable; urgency=medium

  * New upstream version 0.10.2
  * d/control: bump standards version to 4.7.0
  * Update copyright years
  * d/control: update build dep: pkg-config -> pkgconf

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Mon, 09 Dec 2024 18:05:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: raqm
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Standards-Version: 4.6.2
+Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- pkg-config,
+ pkgconf,
  libfreetype-dev (>= 2.4.2),
  libfribidi-dev,
  libharfbuzz-dev (>= 5.2),

## raqm 0.10.3

=== debian/changelog ===
raqm (0.10.3-1) unstable; urgency=medium

  * New upstream version 0.10.3
  * d/control: bump standards version to 4.7.2
  * Update copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sun, 10 Aug 2025 20:15:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-gtk-doc
+	dh_auto_configure -- -Ddocs=true

=== debian/watch ===
version=4

opts=downloadurlmangle=s#archive/refs/tags/v(.*)\.tar\.gz#releases/download/v$1/@PACKAGE@-$1\.tar\.xz# \
https://github.com/HOST-Oman/lib@PACKAGE@/tags \
   (?:.*?/)?v?([\d.]*)@ARCHIVE_EXT@

## raqm 0.10.4

=== meson_options.txt ===
--- 
+++ 
@@ -6,6 +6,13 @@
 )
 
 option(
+    'tests',
+    description: 'Enable or disable tests',
+    type: 'boolean',
+    value: true,
+)
+
+option(
     'sheenbidi',
     description: 'Use SheenBidi instead of Fribidi',
     type: 'boolean',

=== debian/changelog ===
raqm (0.10.4-1) unstable; urgency=medium

  * New upstream version 0.10.4
  * d/control:
    + drop redundant Priority: optional field
    + drop redundant Rules-Requires-Root field
    + bump standards version to 4.7.3
  * Update copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 06 Feb 2026 22:30:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: raqm
 Section: libs
-Priority: optional
 Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Build-Depends:
  debhelper-compat (= 13),
  pkgconf,
